<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/canfd/canfd.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_dd6edb0f71b4cf1d2b3481395966acb6.html">canfd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">canfd.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the header file for the CANFD driver which exposes the data structures and exported API which can be used by the applications to use the CANFD driver.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;ti/common/mmwave_error.h&gt;</code><br />
<code>#include &lt;ti/drivers/canfd/include/hw_mcanss.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_loopback_cfg_params__t.html">CANFD_MCANLoopbackCfgParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Loopback parameters.  <a href="struct_c_a_n_f_d___m_c_a_n_loopback_cfg_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_bit_timing_params__t.html">CANFD_MCANBitTimingParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the parameters for bit timing calculation. Bit timing related to data phase will be valid only in case where MCAN is put in CANFD mode and will be '0' otherwise.  <a href="struct_c_a_n_f_d___m_c_a_n_bit_timing_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_tdc_config__t.html">CANFD_MCANTdcConfig_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Transmitter Delay Compensation parameters.  <a href="struct_c_a_n_f_d___m_c_a_n_tdc_config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_global_filt_config__t.html">CANFD_MCANGlobalFiltConfig_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Global Filter Configuration parameters.  <a href="struct_c_a_n_f_d___m_c_a_n_global_filt_config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_r_a_m_cfg_params__t.html">CANFD_MCANMsgRAMCfgParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Message RAM Configuration Parameters. Message RAM can contain following sections: Standard ID filters, Extended ID filters, TX FIFO(or TX Q), TX Buffers, TX EventFIFO, RX FIFO0, RX FIFO1, RX Buffer. Note: If particular section in the RAM is not used then it's size should be initialized to '0' (Number of buffers in case of Tx/Rx buffer).  <a href="struct_c_a_n_f_d___m_c_a_n_msg_r_a_m_cfg_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_config_params__t.html">CANFD_MCANECCConfigParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN ECC configuration parameters.  <a href="struct_c_a_n_f_d___m_c_a_n_e_c_c_config_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_err_cnt_status__t.html">CANFD_MCANErrCntStatus_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN error logging counters status.  <a href="struct_c_a_n_f_d___m_c_a_n_err_cnt_status__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_protocol_status__t.html">CANFD_MCANProtocolStatus_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN protocol status.  <a href="struct_c_a_n_f_d___m_c_a_n_protocol_status__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_force_params__t.html">CANFD_MCANECCErrForceParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the ECC Error forcing.  <a href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_force_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_status__t.html">CANFD_MCANECCErrStatus_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the ECC Error Status.  <a href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_status__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___err_status_resp__t.html">CANFD_ErrStatusResp_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Response structure definition for Error and status information.  <a href="struct_c_a_n_f_d___err_status_resp__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_init_params__t.html">CANFD_MCANInitParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN initialization parameters.  <a href="struct_c_a_n_f_d___m_c_a_n_init_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n___m_c_a_n_msg_obj_cfg_params__t.html">CAN_MCANMsgObjCfgParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameters used to configure the receive and transmit message objects.  <a href="struct_c_a_n___m_c_a_n_msg_obj_cfg_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html">CANFD_MCANMsgObjectStats_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the software maintained message object statistics.  <a href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___option_t_l_v__t.html">CANFD_OptionTLV_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Options TLV data structure.  <a href="struct_c_a_n_f_d___option_t_l_v__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gac68a2d34b4739121fe207959852d5d57"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gac68a2d34b4739121fe207959852d5d57">CANFD_EOK</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="memdesc:gac68a2d34b4739121fe207959852d5d57"><td class="mdescLeft">&#160;</td><td class="mdescRight">No Error. <br /></td></tr>
<tr class="separator:gac68a2d34b4739121fe207959852d5d57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55a016308ca476cb9e0200b4cc1dbcde"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga55a016308ca476cb9e0200b4cc1dbcde">CANFD_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_CANFD_BASE-1)</td></tr>
<tr class="memdesc:ga55a016308ca476cb9e0200b4cc1dbcde"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:ga55a016308ca476cb9e0200b4cc1dbcde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga903f70e6fc0ae8badd5c4319bb8d484e"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga903f70e6fc0ae8badd5c4319bb8d484e">CANFD_EINUSE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_CANFD_BASE-2)</td></tr>
<tr class="memdesc:ga903f70e6fc0ae8badd5c4319bb8d484e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation cannot be implemented because a previous operation is still not complete. <br /></td></tr>
<tr class="separator:ga903f70e6fc0ae8badd5c4319bb8d484e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad922ccc3c945bfa4f58b72c3b326db81"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gad922ccc3c945bfa4f58b72c3b326db81">CANFD_ENOTIMPL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_CANFD_BASE-3)</td></tr>
<tr class="memdesc:gad922ccc3c945bfa4f58b72c3b326db81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation is not implemented. <br /></td></tr>
<tr class="separator:gad922ccc3c945bfa4f58b72c3b326db81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7db84c10bbc759fbefb4dbe85cba329c"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga7db84c10bbc759fbefb4dbe85cba329c">CANFD_ENOMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_CANFD_BASE-4)</td></tr>
<tr class="memdesc:ga7db84c10bbc759fbefb4dbe85cba329c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Out of memory. <br /></td></tr>
<tr class="separator:ga7db84c10bbc759fbefb4dbe85cba329c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga5565a54609363786bd3155a0695dd1b4"><td class="memItemLeft" align="right" valign="top">
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a></td></tr>
<tr class="memdesc:ga5565a54609363786bd3155a0695dd1b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">CANFD module handle returned by the <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga095573d0bf132b6e5b09761c510c9b82">CANFD_init()</a> API call. <br /></td></tr>
<tr class="separator:ga5565a54609363786bd3155a0695dd1b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a696020aab1c0c59992297fc62cca02"><td class="memItemLeft" align="right" valign="top">
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a></td></tr>
<tr class="memdesc:ga3a696020aab1c0c59992297fc62cca02"><td class="mdescLeft">&#160;</td><td class="mdescRight">CANFD message object handle returned by the <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga33cd186b8278b844dce2d9ea6e7c033b">CANFD_createMsgObject()</a> API call. <br /></td></tr>
<tr class="separator:ga3a696020aab1c0c59992297fc62cca02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ef1df08111114d5b7f969c05ad1dd60"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabce6ab26e3c679e914a28485c6189bbc">CANFD_MCANOperationMode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0ef1df08111114d5b7f969c05ad1dd60">CANFD_MCANOperationMode</a></td></tr>
<tr class="memdesc:ga0ef1df08111114d5b7f969c05ad1dd60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumerates the values used to represent the MCAN mode of operation. <br /></td></tr>
<tr class="separator:ga0ef1df08111114d5b7f969c05ad1dd60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga59a9e9fc1ed08ad557fd47722dc85973"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad3833a0bd48ec2f7cf839cb9ad27d521">CANFD_Direction_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga59a9e9fc1ed08ad557fd47722dc85973">CANFD_Direction</a></td></tr>
<tr class="memdesc:ga59a9e9fc1ed08ad557fd47722dc85973"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the values used to set the direction of message object. <br /></td></tr>
<tr class="separator:ga59a9e9fc1ed08ad557fd47722dc85973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38323de53e1d81f7ceb9ce2da201f107"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga191bd1e865d55a16d2f4282c4e2f477f">CANFD_MCANXidType_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga38323de53e1d81f7ceb9ce2da201f107">CANFD_MCANXidType</a></td></tr>
<tr class="memdesc:ga38323de53e1d81f7ceb9ce2da201f107"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the values used to represent the CAN Identifier Type. <br /></td></tr>
<tr class="separator:ga38323de53e1d81f7ceb9ce2da201f107"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a3ef74642fa1c9f36a6e43ee46b7bf9"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga01254c3f165bee0a15166e682f844678">CANFD_MCANFrameType_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a3ef74642fa1c9f36a6e43ee46b7bf9">CANFD_MCANFrameType</a></td></tr>
<tr class="memdesc:ga3a3ef74642fa1c9f36a6e43ee46b7bf9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the CAN frame type. <br /></td></tr>
<tr class="separator:ga3a3ef74642fa1c9f36a6e43ee46b7bf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b330f3ef465694ce2ac0898f3ff84f4"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga703e1871b2a66e70ddd52c70cc4270b5">CANFD_MCANTimeOutSelect_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2b330f3ef465694ce2ac0898f3ff84f4">CANFD_MCANTimeOutSelect</a></td></tr>
<tr class="memdesc:ga2b330f3ef465694ce2ac0898f3ff84f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the MCAN timeout counter configuration. <br /></td></tr>
<tr class="separator:ga2b330f3ef465694ce2ac0898f3ff84f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee7e8a5333ee5977b86291eeed28517f"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8abbcea248a92cb587cbed7390b2ba3d">CANFD_MCANECCErrType_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaee7e8a5333ee5977b86291eeed28517f">CANFD_MCANECCErrType</a></td></tr>
<tr class="memdesc:gaee7e8a5333ee5977b86291eeed28517f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the MCAN ECC Error Types. <br /></td></tr>
<tr class="separator:gaee7e8a5333ee5977b86291eeed28517f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2c9146c18702b686eb446cebe7f4575e"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7dc07b81ae9845a8b3002992017c3aaf">CANFD_MCANLoopBackMode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2c9146c18702b686eb446cebe7f4575e">CANFD_MCANLoopBackMode</a></td></tr>
<tr class="memdesc:ga2c9146c18702b686eb446cebe7f4575e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the MCAN Loopback mode. <br /></td></tr>
<tr class="separator:ga2c9146c18702b686eb446cebe7f4575e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72c72a43e5a541fea83de049fd13135c"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa3855863f4223c1ef6bb8418039ba33b">CANFD_MCANCommState_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga72c72a43e5a541fea83de049fd13135c">CANFD_MCANCommState</a></td></tr>
<tr class="memdesc:ga72c72a43e5a541fea83de049fd13135c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the MCAN's communication state. <br /></td></tr>
<tr class="separator:ga72c72a43e5a541fea83de049fd13135c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6524915b89443f21b687f5344f40e25a"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaec84419a4a529d253ee278debfa6cfb2">CANFD_MCANErrCode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6524915b89443f21b687f5344f40e25a">CANFD_MCANErrCode</a></td></tr>
<tr class="memdesc:ga6524915b89443f21b687f5344f40e25a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the MCAN's Error Code. <br /></td></tr>
<tr class="separator:ga6524915b89443f21b687f5344f40e25a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab6ef0b1b4ce31324d0d1ffd5bf006901"><td class="memItemLeft" align="right" valign="top">
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf48fba0b12a05bf6347bc6dfc0090f1f">CANFD_Reason_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab6ef0b1b4ce31324d0d1ffd5bf006901">CANFD_Reason</a></td></tr>
<tr class="memdesc:gab6ef0b1b4ce31324d0d1ffd5bf006901"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration describes a list of all the reasons for which the driver will invoke application callback functions. <br /></td></tr>
<tr class="separator:gab6ef0b1b4ce31324d0d1ffd5bf006901"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacece8ed652a840d768fc08e9219b56ff"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2567cda8f64a3ebc32aac86a439634cb">CAN_Option_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacece8ed652a840d768fc08e9219b56ff">CANFD_Option</a></td></tr>
<tr class="memdesc:gacece8ed652a840d768fc08e9219b56ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the values used to represent the GET/SET options.  <a href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacece8ed652a840d768fc08e9219b56ff">More...</a><br /></td></tr>
<tr class="separator:gacece8ed652a840d768fc08e9219b56ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga478d3c887498a67eaf12d4bf8d284270"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_loopback_cfg_params__t.html">CANFD_MCANLoopbackCfgParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga478d3c887498a67eaf12d4bf8d284270">CANFD_MCANLoopbackCfgParams</a></td></tr>
<tr class="memdesc:ga478d3c887498a67eaf12d4bf8d284270"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Loopback parameters. <br /></td></tr>
<tr class="separator:ga478d3c887498a67eaf12d4bf8d284270"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga418dc3ab920d1141e07d3048c5dd5aef"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_bit_timing_params__t.html">CANFD_MCANBitTimingParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga418dc3ab920d1141e07d3048c5dd5aef">CANFD_MCANBitTimingParams</a></td></tr>
<tr class="memdesc:ga418dc3ab920d1141e07d3048c5dd5aef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the parameters for bit timing calculation. Bit timing related to data phase will be valid only in case where MCAN is put in CANFD mode and will be '0' otherwise. <br /></td></tr>
<tr class="separator:ga418dc3ab920d1141e07d3048c5dd5aef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae2be1a226d08c4b3af6dadc6dffcd1bf"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_tdc_config__t.html">CANFD_MCANTdcConfig_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae2be1a226d08c4b3af6dadc6dffcd1bf">CANFD_MCANTdcConfig</a></td></tr>
<tr class="memdesc:gae2be1a226d08c4b3af6dadc6dffcd1bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Transmitter Delay Compensation parameters. <br /></td></tr>
<tr class="separator:gae2be1a226d08c4b3af6dadc6dffcd1bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba64e641570c04126780605d1858da15"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_global_filt_config__t.html">CANFD_MCANGlobalFiltConfig_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaba64e641570c04126780605d1858da15">CANFD_MCANGlobalFiltConfig</a></td></tr>
<tr class="memdesc:gaba64e641570c04126780605d1858da15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Global Filter Configuration parameters. <br /></td></tr>
<tr class="separator:gaba64e641570c04126780605d1858da15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad5d2ba68eabf99b314fd577a795b5fe7"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_r_a_m_cfg_params__t.html">CANFD_MCANMsgRAMCfgParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad5d2ba68eabf99b314fd577a795b5fe7">CANFD_MCANMsgRAMCfgParams</a></td></tr>
<tr class="memdesc:gad5d2ba68eabf99b314fd577a795b5fe7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Message RAM Configuration Parameters. Message RAM can contain following sections: Standard ID filters, Extended ID filters, TX FIFO(or TX Q), TX Buffers, TX EventFIFO, RX FIFO0, RX FIFO1, RX Buffer. Note: If particular section in the RAM is not used then it's size should be initialized to '0' (Number of buffers in case of Tx/Rx buffer). <br /></td></tr>
<tr class="separator:gad5d2ba68eabf99b314fd577a795b5fe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab00aadcc5257b6f5f5378d3c84e02094"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_config_params__t.html">CANFD_MCANECCConfigParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab00aadcc5257b6f5f5378d3c84e02094">CANFD_MCANECCConfigParams</a></td></tr>
<tr class="memdesc:gab00aadcc5257b6f5f5378d3c84e02094"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN ECC configuration parameters. <br /></td></tr>
<tr class="separator:gab00aadcc5257b6f5f5378d3c84e02094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafb9b0209b7a40a3374ea0af1e9fa1d43"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_err_cnt_status__t.html">CANFD_MCANErrCntStatus_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gafb9b0209b7a40a3374ea0af1e9fa1d43">CANFD_MCANErrCntStatus</a></td></tr>
<tr class="memdesc:gafb9b0209b7a40a3374ea0af1e9fa1d43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN error logging counters status. <br /></td></tr>
<tr class="separator:gafb9b0209b7a40a3374ea0af1e9fa1d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab46bb8741d10ea614e5bb2a50cfbd542"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_protocol_status__t.html">CANFD_MCANProtocolStatus_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab46bb8741d10ea614e5bb2a50cfbd542">CANFD_MCANProtocolStatus</a></td></tr>
<tr class="memdesc:gab46bb8741d10ea614e5bb2a50cfbd542"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN protocol status. <br /></td></tr>
<tr class="separator:gab46bb8741d10ea614e5bb2a50cfbd542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga522174bca06346ead9a0ad266a3f7565"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_force_params__t.html">CANFD_MCANECCErrForceParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga522174bca06346ead9a0ad266a3f7565">CANFD_MCANECCErrForceParams</a></td></tr>
<tr class="memdesc:ga522174bca06346ead9a0ad266a3f7565"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the ECC Error forcing. <br /></td></tr>
<tr class="separator:ga522174bca06346ead9a0ad266a3f7565"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6acacdf7164b5f9b53097cf4e76baea6"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_status__t.html">CANFD_MCANECCErrStatus_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6acacdf7164b5f9b53097cf4e76baea6">CANFD_MCANECCErrStatus</a></td></tr>
<tr class="memdesc:ga6acacdf7164b5f9b53097cf4e76baea6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the ECC Error Status. <br /></td></tr>
<tr class="separator:ga6acacdf7164b5f9b53097cf4e76baea6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f37a919f9721749e9622fb74d980d32"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___err_status_resp__t.html">CANFD_ErrStatusResp_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1f37a919f9721749e9622fb74d980d32">CANFD_ErrStatusResp</a></td></tr>
<tr class="memdesc:ga1f37a919f9721749e9622fb74d980d32"><td class="mdescLeft">&#160;</td><td class="mdescRight">Response structure definition for Error and status information. <br /></td></tr>
<tr class="separator:ga1f37a919f9721749e9622fb74d980d32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad81deb9ae020b101c9391b675e09cb5c"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad81deb9ae020b101c9391b675e09cb5c">CANFD_DataAppCallBack</a>) (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab6ef0b1b4ce31324d0d1ffd5bf006901">CANFD_Reason</a> reason)</td></tr>
<tr class="memdesc:gad81deb9ae020b101c9391b675e09cb5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Application specified callback function which is invoked by the CANFD driver once transmit is complete or data has been received for the specified message object.  <a href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad81deb9ae020b101c9391b675e09cb5c">More...</a><br /></td></tr>
<tr class="separator:gad81deb9ae020b101c9391b675e09cb5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa053469ab06533d1fb18387a8cf53652"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa053469ab06533d1fb18387a8cf53652">CANFD_ErrStatusAppCallBack</a>) (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab6ef0b1b4ce31324d0d1ffd5bf006901">CANFD_Reason</a> reason, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1f37a919f9721749e9622fb74d980d32">CANFD_ErrStatusResp</a> *errStatusResp)</td></tr>
<tr class="memdesc:gaa053469ab06533d1fb18387a8cf53652"><td class="mdescLeft">&#160;</td><td class="mdescRight">Application specified callback function which is invoked by the CANFD driver on error or status change.  <a href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa053469ab06533d1fb18387a8cf53652">More...</a><br /></td></tr>
<tr class="separator:gaa053469ab06533d1fb18387a8cf53652"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga086c0557a3517b9a46e30123c24538bf"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_init_params__t.html">CANFD_MCANInitParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga086c0557a3517b9a46e30123c24538bf">CANFD_MCANInitParams</a></td></tr>
<tr class="memdesc:ga086c0557a3517b9a46e30123c24538bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN initialization parameters. <br /></td></tr>
<tr class="separator:ga086c0557a3517b9a46e30123c24538bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga715a58b8cf5a117bc344f823c0e780c0"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n___m_c_a_n_msg_obj_cfg_params__t.html">CAN_MCANMsgObjCfgParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga715a58b8cf5a117bc344f823c0e780c0">CANFD_MCANMsgObjCfgParams</a></td></tr>
<tr class="memdesc:ga715a58b8cf5a117bc344f823c0e780c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameters used to configure the receive and transmit message objects. <br /></td></tr>
<tr class="separator:ga715a58b8cf5a117bc344f823c0e780c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaac7685250174013a9c7a66525e309e11"><td class="memItemLeft" align="right" valign="top">
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html">CANFD_MCANMsgObjectStats_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaac7685250174013a9c7a66525e309e11">CANFD_MCANMsgObjectStats</a></td></tr>
<tr class="memdesc:gaac7685250174013a9c7a66525e309e11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the software maintained message object statistics. <br /></td></tr>
<tr class="separator:gaac7685250174013a9c7a66525e309e11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga78875f79d93f7454b97964382c9783fd"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_c_a_n_f_d___option_t_l_v__t.html">CANFD_OptionTLV_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">CANFD_OptionTLV</a></td></tr>
<tr class="memdesc:ga78875f79d93f7454b97964382c9783fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Options TLV data structure.  <a href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">More...</a><br /></td></tr>
<tr class="separator:ga78875f79d93f7454b97964382c9783fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga095573d0bf132b6e5b09761c510c9b82"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga095573d0bf132b6e5b09761c510c9b82">CANFD_init</a> (const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga086c0557a3517b9a46e30123c24538bf">CANFD_MCANInitParams</a> *configParams, int32_t *errCode)</td></tr>
<tr class="separator:ga095573d0bf132b6e5b09761c510c9b82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa913fbe2f7d514fe578b7b6372f5308f"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa913fbe2f7d514fe578b7b6372f5308f">CANFD_deinit</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gaa913fbe2f7d514fe578b7b6372f5308f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaccbc797be7b2a1a6f3f75b39e8d74025"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaccbc797be7b2a1a6f3f75b39e8d74025">CANFD_configBitTime</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga418dc3ab920d1141e07d3048c5dd5aef">CANFD_MCANBitTimingParams</a> *bitTimeParams, int32_t *errCode)</td></tr>
<tr class="separator:gaccbc797be7b2a1a6f3f75b39e8d74025"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33cd186b8278b844dce2d9ea6e7c033b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga33cd186b8278b844dce2d9ea6e7c033b">CANFD_createMsgObject</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga715a58b8cf5a117bc344f823c0e780c0">CANFD_MCANMsgObjCfgParams</a> *msgObjectParams, int32_t *errCode)</td></tr>
<tr class="separator:ga33cd186b8278b844dce2d9ea6e7c033b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbfe1bf5af67ec79d528c31030446bf8"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafbfe1bf5af67ec79d528c31030446bf8">CANFD_deleteMsgObject</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gafbfe1bf5af67ec79d528c31030446bf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ae4a3265a6d85596c0ca0ceccb99e90"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9ae4a3265a6d85596c0ca0ceccb99e90">CANFD_transmitData</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, uint32_t id, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a3ef74642fa1c9f36a6e43ee46b7bf9">CANFD_MCANFrameType</a> frameType, uint32_t dataLength, const uint8_t *data, int32_t *errCode)</td></tr>
<tr class="separator:ga9ae4a3265a6d85596c0ca0ceccb99e90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f696e49ce9bb213d07ebec721678179"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7f696e49ce9bb213d07ebec721678179">CANFD_transmitDataCancel</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga7f696e49ce9bb213d07ebec721678179"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad471551dd1dfd104fab28ae82a6583b3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad471551dd1dfd104fab28ae82a6583b3">CANFD_getData</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, uint32_t *id, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a3ef74642fa1c9f36a6e43ee46b7bf9">CANFD_MCANFrameType</a> *ptrFrameType, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga38323de53e1d81f7ceb9ce2da201f107">CANFD_MCANXidType</a> *idType, uint32_t *ptrDataLength, uint8_t *data, int32_t *errCode)</td></tr>
<tr class="separator:gad471551dd1dfd104fab28ae82a6583b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga02619b56fc15a722f1fbf03b3df07245"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga02619b56fc15a722f1fbf03b3df07245">CANFD_getOptions</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">CANFD_OptionTLV</a> *ptrOptInfo, int32_t *errCode)</td></tr>
<tr class="separator:ga02619b56fc15a722f1fbf03b3df07245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae6e2aab6af4d186d7e94f5074d721dc"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaae6e2aab6af4d186d7e94f5074d721dc">CANFD_setOptions</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">CANFD_OptionTLV</a> *ptrOptInfo, int32_t *errCode)</td></tr>
<tr class="separator:gaae6e2aab6af4d186d7e94f5074d721dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the header file for the CANFD driver which exposes the data structures and exported API which can be used by the applications to use the CANFD driver. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2017 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
